#include <sys/uio.h>
#include <ADD/sys/uio.h>

off_t uio_offset( uio_t a_uio ){};
void uio_setoffset( uio_t a_uio, off_t a_offset ){};
user_ssize_t uio_resid( uio_t a_uio ){};
int uiomove(caddr_t cp, int n, struct uio *uio){};
void uio_free( uio_t a_uio ){};
int uio_addiov( uio_t a_uio, user_addr_t a_baseaddr, user_size_t a_length ){};
uio_t uio_create( int a_iovcount,off_t a_offset,int a_spacetype,	int a_iodirection ){};
